Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DataProviderFactory.HDFDataProvider

Object
hdf.view.TableView.DataProviderFactory.HDFDataProvider

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

Enclosing class:
  DataProviderFactory

public static class DataProviderFactory.HDFDataProvider extends Object implements org.eclipse.nebula.widgets.nattable.data.IDataProvider

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `colCount`
  `protected Object`
  `dataBuf`
  `protected boolean`
  `isContainerType`
  `protected boolean`
  `isDataTransposed`
  `protected boolean`
  `isNaturalOrder`
  `protected boolean`
  `isValueChanged`
  `protected org.slf4j.Logger`
  `log`
  `protected Class`
  `originalFormatClass`
  `protected int`
  `rank`
  `protected long`
  `rowCount`
  `protected Object`
  `theValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFDataProvider​(Datatype dtype, Object dataBuf, boolean dataTransposed)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumnCount()`
  `Object`
  `getDataValue​(int columnIndex, int rowIndex)`
  `Object`
  `getDataValue​(Object obj, int index)`
  `Object`
  `getDataValue​(Object obj, int columnIndex, int rowIndex)`
  `boolean`
  `getIsValueChanged()`
  `int`
  `getRowCount()`
  `int`
  `physicalLocationToBufIndex​(int rowIndex, int columnIndex)`
  `void`
  `setDataValue​(int columnIndex, int rowIndex, Object newValue)`
  `void`
  `setDataValue​(int columnIndex, int rowIndex, Object bufObject, Object newValue)`
  `void`
  `setDataValue​(int index, Object bufObject, Object newValue)`
  `void`
  `setIsValueChanged​(boolean isChanged)`
  `void`
  `updateDataBuffer​(Object newBuf)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected org.slf4j.Logger log

  - ### dataBuf

    protected Object dataBuf

  - ### theValue

    protected Object theValue

  - ### originalFormatClass

    protected final Class originalFormatClass

  - ### isValueChanged

    protected boolean isValueChanged

  - ### isContainerType

    protected final boolean isContainerType

  - ### rank

    protected final int rank

  - ### isNaturalOrder

    protected final boolean isNaturalOrder

  - ### isDataTransposed

    protected final boolean isDataTransposed

  - ### colCount

    protected final long colCount

  - ### rowCount

    protected final long rowCount

- ## Constructor Details

  - ### HDFDataProvider

    HDFDataProvider​(Datatype dtype, Object dataBuf, boolean dataTransposed) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### physicalLocationToBufIndex

    public int physicalLocationToBufIndex​(int rowIndex, int columnIndex)

  - ### getDataValue

    public Object getDataValue​(int columnIndex, int rowIndex)
    Specified by:
      `getDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### getDataValue

    public Object getDataValue​(Object obj, int columnIndex, int rowIndex)

  - ### getDataValue

    public Object getDataValue​(Object obj, int index)

  - ### setDataValue

    public void setDataValue​(int columnIndex, int rowIndex, Object newValue)
    Specified by:
      `setDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### setDataValue

    public void setDataValue​(int columnIndex, int rowIndex, Object bufObject, Object newValue)

  - ### setDataValue

    public void setDataValue​(int index, Object bufObject, Object newValue)

  - ### getColumnCount

    public int getColumnCount()
    Specified by:
      `getColumnCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### getRowCount

    public int getRowCount()
    Specified by:
      `getRowCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

  - ### setIsValueChanged

    public final void setIsValueChanged​(boolean isChanged)

  - ### getIsValueChanged

    public final boolean getIsValueChanged()

  - ### updateDataBuffer

    public final void updateDataBuffer​(Object newBuf)